<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=">
  <title>Debian Project -- debconf.org Developer Machines</title>
  <link rev="made" href="mailto:webmaster@debconf.org">
  <meta name="Generator" content="WML 2.0.8 (30-Oct-2001)">
  <meta name="Modified" content="2005-02-01 20:13:08">
</head>
<body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000">
<table width="100%" align="center" border="0" cellpadding="3" cellspacing="0" summary="">
<tr>
  <td align="left" valign="middle">
  <a href="http://www.debian.org/"><img src="http://www.debian.org/logos/openlogo-nd-50.png" border="0" hspace="0" vspace="0" alt=""></a>
  <a href="http://www.debian.org/" rel="start"><img src="http://www.debian.org/Pics/debian.png" border="0" hspace="0" vspace="0" alt="Debian Project"></a>
  </td>
</tr>
</table>
<!--UdmComment-->
<table bgcolor="#DF0451" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
<tr>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td rowspan="2" align="center">
<a href="http://www.debconf.org/intro/about"><img src="http://www.debian.org/Pics/about.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="About Debian"></a>
<a href="http://www.debconf.org/News/"><img src="http://www.debian.org/Pics/news.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="News"></a>
<a href="http://www.debconf.org/distrib/"><img src="http://www.debian.org/Pics/getting.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Getting Debian"></a>
<a href="http://www.debconf.org/support"><img src="http://www.debian.org/Pics/support.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Support"></a>
<a href="http://www.debconf.org/devel/"><img src="http://www.debian.org/Pics/devel.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Developers'&nbsp;Corner"></a>
<a href="http://www.debconf.org/sitemap" rel="contents"><img src="http://www.debian.org/Pics/sitemap.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Site map"></a>
<a href="http://search.debconf.org/"><img src="http://www.debian.org/Pics/search.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Search"></a>
</td>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
<tr>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
</table>
<!--/UdmComment-->
<h1>debconf.org Developer Machines</h1>
<h3>SSH Host Keys</h3>
<p>The SSH host keys for the machines in the debconf.org domains are
stored in the Debian LDAP database. The key and its fingerprint will
be displayed when <a href="machines.cgi">details</a> for a machine are
displayed.</p>
<p>On machines in the debconf.org which are updated from the LDAP
database <code>/etc/ssh/ssh_known_hosts</code> contains the keys for
all hosts in this domain. This helps for easier log in into such a
machine. This is also be available in the chroot environments.</p>
<p>Developers should add <code>StrictHostKeyChecking yes</code> to
their <code>~/.ssh/config</code> file so that they only connect to
trusted hosts. With the file mentioned above, nearly all hosts in the
debconf.org domain will be trusted automatically.</p>
<p>Developers can also execute <code>ud-host -f</code> or
<code>ud-host -f -h host</code> on a machine in the debconf.org domain
in order to display all host fingerprints or only the fingerprints of
a particular host in order to compare it with the output of
<code>ssh</code> on an external host.</p>
<hr noshade width="100%" size="1">
Back to the <a href="http://www.debian.org/">Debian Project homepage</a>.
<hr noshade width="100%" size="1">
<small>
You can contact us at
<a href="mailto:admin@db.debconf.org">admin@db.debconf.org</a>.
</small>
<p>
<p><small>
Last Modified: Tue, Feb 1 16:44:43 UTC 2005
  <br>
  Copyright &copy; 1997-2005
 <a href="http://www.spi-inc.org/">SPI</a>; See <a href="http://www.debconf.org/license" rel="copyright">license terms</a><br>
  Debian is a registered trademark of Software in the Public Interest, Inc.
</small></p>
</body>
</html>
